﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using ChartSample;
using Syncfusion.SfChart.XForms;
using Syncfusion.SfChart.iOS;
using Xamarin.Forms;
using Syncfusion.SfChart.XForms.iOS.Renderers;
using MonoTouch.UIKit;
using System.Drawing;
using System.Collections.ObjectModel;
using MonoTouch.Foundation;

[assembly: ExportRenderer(typeof(CustomChart), typeof(ChartSample.iOS.CustomRenderer))]
namespace ChartSample.iOS
{
	public class CustomRenderer:SfChartRenderer
    {
		protected override void OnElementChanged (Xamarin.Forms.Platform.iOS.ElementChangedEventArgs<SfChart> e)
		{
			base.OnElementChanged (e);
			if (Control != null) {
				Control.Delegate = new ChartDelegate ();
			}
		}
			
	}

	public class ChartDelegate : SFChartDelegate{

		internal int preMonth= -1;
		public override NSString GetFormattedAxisLabel (NSString label, NSObject value, SFAxis axis)
		{
			if (axis is SFDateTimeAxis || axis is SFCategoryAxis) {
				DateTime dateLabel = new DateTime();
				DateTime.TryParse(label.ToString(), out dateLabel);
				int currMonth = dateLabel.Month;
				if (preMonth != currMonth)
				{
					preMonth = currMonth;
					return new NSString (dateLabel.ToString("MMM"));

				}
				else
					return new NSString (dateLabel.ToString("dd"));
			}
			return label;
		}
	}
}