﻿using Syncfusion.SfChart.XForms;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace ChartSample
{
    public class SimpleSample:ContentPage
    {
        List<ChartDataPoint> Data1;
        CustomChart chart;
        public SimpleSample()
        {
			StackLayout stackLayout = new StackLayout ();
			stackLayout.Children.Add (GetChart ());
            Button button = new Button() {Text = "SaveAsImage" };
            button.Clicked += button_Clicked;
            stackLayout.Children.Add(button);

            Button btn2 = new Button() { Text = "getImage" };
            stackLayout.Children.Add(btn2);
            btn2.Clicked += btn2_Clicked;
			Content = stackLayout;         
        }

        void btn2_Clicked(object sender, EventArgs e)
        {
           string imagePath = DependencyService.Get<IChartDependencyService>().SendFile("ChartImage.jpg");
        }

        void button_Clicked(object sender, EventArgs e)
        {
            chart.SaveAsImage("ChartImage.jpg");
        }
        
		private CustomChart GetChart()
		{
			chart = new CustomChart ();
			chart.VerticalOptions = LayoutOptions.FillAndExpand;
			chart.HorizontalOptions = LayoutOptions.FillAndExpand;

            Data1 = new List<ChartDataPoint>();
            Data1.Add(new ChartDataPoint(1, 2));
            Data1.Add(new ChartDataPoint(2, 3));
            Data1.Add(new ChartDataPoint(3, 1.5));
            Data1.Add(new ChartDataPoint(4, 2));


			NumericalAxis axis = new NumericalAxis();
            chart.PrimaryAxis = new NumericalAxis();

            axis.Minimum = 0;
            axis.Maximum = 4;
            axis.Interval = 1;
            chart.SecondaryAxis = axis;

			var pointsSeries = new LineSeries ();
			pointsSeries.ItemsSource = Data1;
			chart.Series.Add (pointsSeries);
			return chart;
		}

    }
}